{% extends 'base.html.twig' %}

{% block title %}Professor index{% endblock %}

{% block body %}

    <h1 class="main-title-page text-center">Professors</h1>

    <div class="row">
        <div class="col-md-10 offset-md-1 col-sm-12">
            <div class="row mx-1 my-3">
                <a href="{{ path('admin_professor_new')}}" class="btn btn-info"professor_><i class="fas fa-user-plus pr-2"></i><small>CREATE PROFESSOR</small></a>
                <div class="ml-3">Currently: {{ nbProfessors }} professors</div>
            </div>
            <div class="row mr-5 my-3">
                <div class="mx-3">{{ include('admin/professor/_upload.html.twig')}}</div>
                <div class="col-lg-4 col-md-6 mx-auto">
                    <div class="search-bar">
                        <input type="text" id="myInput" placeholder="Search a professor">
                        <span class="bi bi-search icon-search"></span>
                    </div>
                </div>
            </div>
            <div id="myTable">
                <table id="allProfessorTableAdmin" class="table table-striped">
                    <button id="remove-checkbox-button" class="btn btn-danger mb-3 checkbox-remove" data-toggle="modal" data-target="#modalRemoveProfessors"><i class="fas fa-trash mr-2"></i>Remove (<span class="count-checkbox">0</span> selected)</button>
                    <div class="modal fade" id="modalRemoveProfessors" tabindex="-1" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-scrollable" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Confirmation</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <p>Are you sure you want to delete the selected professor(s) ?</p>
                                    <form id="modalFormRemoveProfessors" action="{{ path('admin_admin_professor_delete_users') }}" method="post">
                                        <input type="hidden" name="_token" value="{{ csrf_token('deleteUsers') }}">
                                    </form>
                                </div>
                                <div class="modal-footer">
                                    <button type="submit" class="confirmButton-modalFormRemoveProfessors btn btn-info">Confirm</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <thead class="thead-dark">
                        <tr>
                            <th>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value="" id="checkbox-all" data-id="allProfessorTableAdmin">
                                    <label class="form-check-label" for="flexCheckDefault"></label>
                                </div>
                            </th>
                            <th>First Name<i class="fas fa-sort icon-sort"></i></th>
                            <th>Last Name<i class="fas fa-sort icon-sort"></i></th>
                            <th>Email<i class="fas fa-sort icon-sort"></i></th>
                            <th>Subject<i class="fas fa-sort icon-sort"></i></th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for user in users %}
                        <tr>
                            <td>
                                <div class="form-check form-check-remove">
                                    <input class="form-check-input" type="checkbox" value="" id="checkbox-{{ user.id }}">
                                    <label class="form-check-label" for="flexCheckDefault"></label>
                                </div>
                            </td>
                            <td>{{ user.firstName }}</td>
                            <td>{{ user.lastName }}</td>
                            <td>{{ user.email }}</td>
                            {% if user.subject %}
                                <td>{{ user.subject.name }}</td>
                            {% else %}
                                <td>No subject</td>
                            {% endif %}
                            <td>
                                <a href="{{ path('admin_professor_show', {'id': user.id}) }}" class="btn btn-info"><i class="fas fa-eye"></i> show</a>
                                <a href="{{ path('admin_professor_edit', {'id': user.id}) }}" class="btn btn-info"><i class="fas fa-pen"></i> edit</a>
                                <!-- Button trigger modal -->
                                {% if user.subject is not null %}
                                    <button type="button" class="btn btn-info" data-toggle="modal" data-target="#example{{user.id}}">Add to Class</button>

                                    <!-- Modal -->
                                    <div class="modal fade" id="example{{user.id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalLabel">List Classes</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <ul class="list-group">
                                                        {% for group in groups %}
                                                            {% if not containProfessor(user.id,group.groupProfessors) %} 
                                                                <li class="list-group-item">
                                                                    <a href="{{ path('admin_admin_professor_group_new', {'professor':user.id ,'group': group.id}) }}" class="btn btn-info">{{ group.name }} </a>
                                                                </li>
                                                            {% endif %}
                                                        {% else %}
                                                                <li class="list-group-item">No Group Found</li>
                                                        {% endfor %}
                                                    </ul>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                {% else %}
                                    <button type="button" class="btn-disabled btn btn-info" disabled>Add to Class</button>
                                {% endif %}
                            </td>
                        </tr>
                    {% else %}
                        <tr>
                            <td colspan="7">No Records Found</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

{% endblock %}
